package com.palmnest.application.dto.output;

import java.io.Serializable;
import java.util.ArrayList;
import java.util.HashMap;
import java.util.List;
import java.util.Map;

import com.palmnest.application.GoodsCodeConstants;
import com.palmnest.model.release.GoodsDetail;

public class GoodsReleaseOutDto implements Serializable{
	
	
	private static final long serialVersionUID = -25189938611564867L;
	
	
	private String id;	
	private String releaseCode;//放行单编号
	private Map<String, String> releaseQRCode;//放行单二维码
	public String releaseTypeName;//放行类型
	private String createTime;//'发起时间(创建时间',
	
	private String applyUser;
	private String applyTel;

	private String loginName;
	
	private String roomNames;
	private String processName;
	
	private String applyUserInfo;//'申请人信息(姓名加手机',
	private String companyName;//'放行企业',
	private String depName="";//部门
	private String releaseDesc;//'放行描述',
	
	
	private Integer releaseStatus;//放行状态
	private String applypicUrl;
	private String releasepicUrl;
	private String companyHeadUser;
	private String releaseUserName;//审批人姓名
	
	private String nativePlaceNumber="";//籍贯  ---->省市县
	private String nativePlace="";//籍贯  ---->省市县
	private Integer personType;//人员类型 1-留在本市人员 2-返回本本市人员
	private String personTypeName="";//人员类型 1-留在本市人员 2-返回本本市人员
	private String leaveCityTime="";
	private String returnCityTime="";
	private String habitation="";//春节居住地 ---->省市县
	private String habitationNumber="";//春节居住地 ---->省市县
	private Integer isToepidemic;//有无去过疫情严重区域
	private String isToepidemicName="";//有无去过疫情严重区域
	
	private Integer  isSevenDayCheckResult;//7日内核酸检测是否为阴 1是 0否
	private String  isSevenDayCheckResultName;//7日内核酸检测是否为阴 1是 0否
	
	private String symptomName="";
	private String isHaveSymptom="";//是否有如下症状
	private Integer applyType;//复工类型
	private Integer passNum=0;

	private Integer type;
	private Integer roleId;
	private String roleName;
	private Integer sort;
	
	
	private List<GoodsOperateDto> operateDto=new ArrayList<GoodsOperateDto>(); //审批记录
	private List<GoodsDetail> goodsDetails=new ArrayList<GoodsDetail>();

	public List<GoodsDetail> getGoodsDetails() {
		return goodsDetails;
	}

	public void setGoodsDetails(List<GoodsDetail> goodsDetails) {
		this.goodsDetails = goodsDetails;
	}

	public GoodsReleaseOutDto(){
		if(releaseQRCode==null){
			releaseQRCode=new HashMap<String, String>();
			releaseQRCode.put("authentCode", GoodsCodeConstants.AUTHENTCODE);
		}
	}
	
	
	
	public String getCompanyHeadUser() {
		return companyHeadUser;
	}



	public void setCompanyHeadUser(String companyHeadUser) {
		this.companyHeadUser = companyHeadUser;
	}



	public Map<String, String> getReleaseQRCode() {
		return releaseQRCode;
	}


	public void setReleaseQRCode(Map<String, String> releaseQRCode) {
		this.releaseQRCode = releaseQRCode;
	}


	public List<GoodsOperateDto> getOperateDto() {
		return operateDto;
	}


	public void setOperateDto(List<GoodsOperateDto> operateDto) {
		this.operateDto = operateDto;
	}


	public String getApplypicUrl() {
		return applypicUrl;
	}


	public void setApplypicUrl(String applypicUrl) {
		this.applypicUrl = applypicUrl;
	}


	public String getReleasepicUrl() {
		return releasepicUrl;
	}


	public void setReleasepicUrl(String releasepicUrl) {
		this.releasepicUrl = releasepicUrl;
	}


	public String getReleaseTypeName() {
		return releaseTypeName;
	}


	public void setReleaseTypeName(String releaseTypeName) {
		this.releaseTypeName = releaseTypeName;
	}


	public Integer getReleaseStatus() {
		return releaseStatus;
	}


	public void setReleaseStatus(Integer releaseStatus) {
		this.releaseStatus = releaseStatus;
	}


	public String getId() {
		return id;
	}


	public void setId(String id) {
		this.id = id;
		this.releaseQRCode.put("id", id);
	}
	
	public String getReleaseCode() {
		return releaseCode;
	}
	public void setReleaseCode(String releaseCode) {
		this.releaseCode = releaseCode;
		this.releaseQRCode.put("releaseCode", releaseCode);
	}
	public String getCreateTime() {
		return createTime;
	}
	public void setCreateTime(String createTime) {
		this.createTime = createTime;
	}
	public String getApplyUserInfo() {
		return applyUserInfo;
	}
	public void setApplyUserInfo(String applyUserInfo) {
		this.applyUserInfo = applyUserInfo;
	}
	public String getCompanyName() {
		return companyName;
	}
	public void setCompanyName(String companyName) {
		this.companyName = companyName;
	}
	public String getReleaseDesc() {
		return releaseDesc;
	}
	public void setReleaseDesc(String releaseDesc) {
		this.releaseDesc = releaseDesc;
	}


	public Integer getType() {
		return type;
	}

	public void setType(Integer type) {
		this.type = type;
	}

	public Integer getRoleId() {
		return roleId;
	}

	public void setRoleId(Integer roleId) {
		this.roleId = roleId;
	}

	public Integer getSort() {
		return sort;
	}

	public void setSort(Integer sort) {
		this.sort = sort;
	}

	public String getReleaseUserName() {
		return releaseUserName;
	}

	public void setReleaseUserName(String releaseUserName) {
		this.releaseUserName = releaseUserName;
	}

	public String getNativePlace() {
		return nativePlace;
	}

	public void setNativePlace(String nativePlace) {
		this.nativePlace = nativePlace;
	}

	public Integer getPersonType() {
		return personType;
	}

	public void setPersonType(Integer personType) {
		this.personType = personType;
	}

	public String getLeaveCityTime() {
		return leaveCityTime;
	}

	public void setLeaveCityTime(String leaveCityTime) {
		this.leaveCityTime = leaveCityTime;
	}

	public String getReturnCityTime() {
		return returnCityTime;
	}

	public void setReturnCityTime(String returnCityTime) {
		this.returnCityTime = returnCityTime;
	}

	public String getHabitation() {
		return habitation;
	}

	public void setHabitation(String habitation) {
		this.habitation = habitation;
	}

	public Integer getIsToepidemic() {
		return isToepidemic;
	}

	public void setIsToepidemic(Integer isToepidemic) {
		this.isToepidemic = isToepidemic;
	}

	public String getIsHaveSymptom() {
		return isHaveSymptom;
	}

	public void setIsHaveSymptom(String isHaveSymptom) {
		this.isHaveSymptom = isHaveSymptom;
	}

	public Integer getApplyType() {
		return applyType;
	}

	public void setApplyType(Integer applyType) {
		this.applyType = applyType;
	}

	public String getPersonTypeName() {
		return personTypeName;
	}

	public void setPersonTypeName(String personTypeName) {
		this.personTypeName = personTypeName;
	}

	public String getIsToepidemicName() {
		return isToepidemicName;
	}

	public void setIsToepidemicName(String isToepidemicName) {
		this.isToepidemicName = isToepidemicName;
	}

	public Integer getPassNum() {
		return passNum;
	}

	public void setPassNum(Integer passNum) {
		this.passNum = passNum;
	}

	public String getSymptomName() {
		return symptomName;
	}

	public void setSymptomName(String symptomName) {
		this.symptomName = symptomName;
	}

	public String getDepName() {
		return depName;
	}

	public void setDepName(String depName) {
		this.depName = depName;
	}

	public String getNativePlaceNumber() {
		return nativePlaceNumber;
	}

	public void setNativePlaceNumber(String nativePlaceNumber) {
		this.nativePlaceNumber = nativePlaceNumber;
	}

	public String getHabitationNumber() {
		return habitationNumber;
	}

	public void setHabitationNumber(String habitationNumber) {
		this.habitationNumber = habitationNumber;
	}

	public Integer getIsSevenDayCheckResult() {
		return isSevenDayCheckResult;
	}

	public void setIsSevenDayCheckResult(Integer isSevenDayCheckResult) {
		this.isSevenDayCheckResult = isSevenDayCheckResult;
	}

	public String getIsSevenDayCheckResultName() {
		return isSevenDayCheckResultName;
	}

	public void setIsSevenDayCheckResultName(String isSevenDayCheckResultName) {
		this.isSevenDayCheckResultName = isSevenDayCheckResultName;
	}

	public String getApplyUser() {
		return applyUser;
	}

	public void setApplyUser(String applyUser) {
		this.applyUser = applyUser;
	}

	public String getApplyTel() {
		return applyTel;
	}

	public void setApplyTel(String applyTel) {
		this.applyTel = applyTel;
	}

	public String getRoomNames() {
		return roomNames;
	}

	public void setRoomNames(String roomNames) {
		this.roomNames = roomNames;
	}


	public String getProcessName() {
		return processName;
	}

	public void setProcessName(String processName) {
		this.processName = processName;
	}

	public String getRoleName() {
		return roleName;
	}

	public void setRoleName(String roleName) {
		this.roleName = roleName;
	}

	public String getLoginName() {
		return loginName;
	}

	public void setLoginName(String loginName) {
		this.loginName = loginName;
	}
}
